Package org.eclipse.cdt.core.build

# Class StandardBuildConfiguration

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.core.build.CBuildConfiguration
org.eclipse.cdt.core.build.StandardBuildConfiguration

All Implemented Interfaces:
  `ICBuildConfiguration`, `ICBuildConfiguration2`, `IConsoleParser`, `IConsoleParser2`, `IMarkerGenerator`, `IElementChangedListener`, `IScannerInfoProvider`, `org.eclipse.core.runtime.IAdaptable`

public class StandardBuildConfiguration extends CBuildConfiguration
A Standard Build Configuration that simply calls a specified command for build and clean. By default, it calls 'make all' and 'make clean'.

Since:
  6.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BUILD_COMMAND`
`static final String`
`BUILD_CONTAINER`
`static final String`
`CLEAN_COMMAND`

### Fields inherited from interface org.eclipse.cdt.core.build.ICBuildConfiguration

`DEFAULT_NAME, TOOLCHAIN_ID, TOOLCHAIN_TYPE`

### Fields inherited from interface org.eclipse.cdt.core.IMarkerGenerator

`SEVERITY_ERROR_BUILD, SEVERITY_ERROR_RESOURCE, SEVERITY_INFO, SEVERITY_WARNING`

## Constructor Summary

Constructors
Constructor
Description
`StandardBuildConfiguration(org.eclipse.core.resources.IBuildConfiguration config, String name)`
`StandardBuildConfiguration(org.eclipse.core.resources.IBuildConfiguration config, String name, IToolChain toolChain, String launchMode)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.resources.IProject[]`
`build(int kind, Map<String,String> args, IConsole console, org.eclipse.core.runtime.IProgressMonitor monitor)`
Perform the build.
`void`
`clean(IConsole console, org.eclipse.core.runtime.IProgressMonitor monitor)`
Perform clean.
`org.eclipse.core.resources.IContainer`
`getBuildContainer()`
`org.eclipse.core.resources.IContainer`
`getDefaultBuildContainer()`
`String`
`getProperty(String name)`
Return the named property.
`IEnvironmentVariable[]`
`getVariables()`
Return all of the build environment variables for this configuration.
`void`
`setBuildCommand(String[] buildCommand)`
`void`
`setBuildContainer(org.eclipse.core.resources.IContainer buildContainer)`
`void`
`setCleanCommand(String[] cleanCommand)`
`boolean`
`setProperties(Map<String,String> properties)`
Set the properties for this build configuration.

### Methods inherited from class org.eclipse.cdt.core.build.CBuildConfiguration

`addMarker, addMarker, elementChanged, findCommand, getBinaryParserIds, getBuildConfiguration, getBuildDirectory, getBuildDirectoryURI, getBuildOutput, getCommandFromPath, getDefaultProperties, getLaunchMode, getName, getProject, getProperties, getScannerInfoCache, getScannerInformation, getSettings, getToolChain, getToolChain, getVariable, loadScannerInfoCache, processLine, processLine, refreshScannerInfo, removeProperty, saveScannerInfoCache, setActive, setActive, setBuildEnvironment, setLauncher, setLaunchMode, setProperty, shutdown, startBuildProcess, subscribe, unsubscribe, watchProcess, watchProcess`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.build.ICBuildConfiguration

`supportsProperties`

## Field Details

### BUILD_CONTAINER

public static final String BUILD_CONTAINER

Since:
  6.4
See Also:
  - Constant Field Values

### BUILD_COMMAND

public static final String BUILD_COMMAND

Since:
  6.4
See Also:
  - Constant Field Values

### CLEAN_COMMAND

public static final String CLEAN_COMMAND

Since:
  6.4
See Also:
  - Constant Field Values

## Constructor Details

### StandardBuildConfiguration

public StandardBuildConfiguration(org.eclipse.core.resources.IBuildConfiguration config, String name) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### StandardBuildConfiguration

public StandardBuildConfiguration(org.eclipse.core.resources.IBuildConfiguration config, String name, IToolChain toolChain, String launchMode) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

## Method Details

### getVariables

public IEnvironmentVariable[] getVariables()
Description copied from interface: `ICBuildConfiguration`
Return all of the build environment variables for this configuration.

Specified by:
  `getVariables` in interface `ICBuildConfiguration`
Overrides:
  `getVariables` in class `CBuildConfiguration`
Returns:
  environment variables

### setBuildContainer

public void setBuildContainer(org.eclipse.core.resources.IContainer buildContainer)

### setBuildCommand

public void setBuildCommand(String[] buildCommand)

### setCleanCommand

public void setCleanCommand(String[] cleanCommand)

### getBuildContainer

public org.eclipse.core.resources.IContainer getBuildContainer() throws org.eclipse.core.runtime.CoreException

Overrides:
  `getBuildContainer` in class `CBuildConfiguration`
Throws:
  `org.eclipse.core.runtime.CoreException`

### getDefaultBuildContainer

public org.eclipse.core.resources.IContainer getDefaultBuildContainer() throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`
Since:
  6.4

### getProperty

public String getProperty(String name)
Description copied from interface: `ICBuildConfiguration`
Return the named property.

Specified by:
  `getProperty` in interface `ICBuildConfiguration`
Overrides:
  `getProperty` in class `CBuildConfiguration`
Parameters:
  `name` - the name of the property

### setProperties

public boolean setProperties(Map<String,String> properties)
Description copied from interface: `ICBuildConfiguration`
Set the properties for this build configuration. These will often come from launch configurations which have build settings as attributes.

Specified by:
  `setProperties` in interface `ICBuildConfiguration`
Overrides:
  `setProperties` in class `CBuildConfiguration`
Parameters:
  `properties` - build properties
Returns:
  whether the properties have changed

### build

public org.eclipse.core.resources.IProject[] build(int kind, Map<String,String> args, IConsole console, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ICBuildConfiguration`
Perform the build.

Parameters:
  `kind` - build type
  `args` - build arguments
  `console` - console to show build output
  `monitor` - progress monitor
Returns:
  the list of projects for which this builder would like deltas the next time it is run or `null` if none
Throws:
  `org.eclipse.core.runtime.CoreException`

### clean

public void clean(IConsole console, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ICBuildConfiguration`
Perform clean.

Parameters:
  `console` - console to show clean output
  `monitor` - progress monitor
Throws:
  `org.eclipse.core.runtime.CoreException`